IF EXISTS (
    SELECT 1 
    FROM INFORMATION_SCHEMA.COLUMNS 
    WHERE TABLE_NAME = 'HMUAYENEEK3000' 
      AND COLUMN_NAME = 'USG_ENDOMETRIUM_MM' 
      AND (DATA_TYPE <> 'float')
)
BEGIN
    ALTER TABLE HMUAYENEEK3000
    ALTER COLUMN USG_ENDOMETRIUM_MM float null;
END



